POST /api/v3/accountmeter

Links an account and meter together Meters must be linked to an active account to be usable in EnergyCAP Once an account and meter are created individually, they must be linked with this API

CreateAccountMeterV3 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

AccountMeterRequest
Property Description Type
accountId The account identifier for this account meter Required Topmost (Account) integer (int32)
beginDate The beginning date and time for this account meter relationship Defaults to 1899-01-01 string (date-time)
deregulated Indicates if the account meter is deregulated boolean
endDate The ending date and time for this account meter relationship Defaults to 3000-01-01 string (date-time)
generalLedgerId The identifier for the general ledger assigned to this account meter integer (int32)
meterId The meter identifier for this account meter Required Topmost (Meter) integer (int32)
rateId Indicates if the account meter rate Required integer (int32)
templateId The account meter template to be used for bill entry Optional. If passed in, the templateId will be used. If not passed If vendortypeid is 2 (supplier), –then a template on this meter’s commodity with code that starts with S_meter’s use unit code will be used –if not found we will try to use a template on this meter’s commodity with code that starts with S_ –If not found we will use a non-supplier template described below If vendortype is non- supplier – the template will be defaulted using the meter’s assigned use and demand units –First try and match template by commodityId, useUnitId, demandUnitId –If no match try commodityId, useUnitId –If no match select the first use only template that matches on commodity –If no match find the first template on this commodity –If none is found no template will be assigned integer (int32)
vendorTypeId The identifier for the vendor type. Vendors may assume different types on different account meters integer (int32)
Example Request Body application/json
[
  {    "accountId": 1,    "beginDate": "2026-03-30",    "deregulated": false,    "endDate": "2026-03-30",    "generalLedgerId": 1,    "meterId": 1,    "rateId": 1,    "templateId": 1,    "vendorTypeId": 1
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

AccountMeterResponse
Property Description Type
account AccountChild
AccountChild properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
active boolean
hasCalculatedMeter boolean
hasSplitChildMeter boolean
hasSplitParentMeter boolean
hasSubAccount boolean
isSubAccount boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
accountMeterId The account meter identifier Required (defined) integer (int32)
beginDate The beginning date and time for this account meter relationship Required (defined) string (date-time)
deregulated Indicates if the account meter is deregulated Required (defined) boolean
endDate The ending date and time for this account meter relationship Required (defined) string (date-time)
formTemplates The template assigned to this account meter Required (defined) FormTemplateChild[]
FormTemplateChild properties
Property Description Type
beginDate string (date-time)
displayOrder integer (int32)
endDate string (date-time)
formTemplateId integer (int32)
template TemplateChild
TemplateChild properties
Property Description Type
templateCode string
templateId integer (int32)
templateInfo string
generalLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
rates The rate assigned to this account meter Required (defined) AccountRateChild[]
AccountRateChild properties
Property Description Type
endDate string (date-time)
rate RateChild
RateChild properties
Property Description Type
name string
rateId integer (int32)
startDate string (date-time)
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "vendor": {}
    },    "accountMeterId": 1,    "beginDate": "2026-03-30",    "deregulated": false,    "endDate": "2026-03-30",    "formTemplates": [
      {      "beginDate": "2026-03-30",      "displayOrder": 1,      "endDate": "2026-03-30",      "formTemplateId": 1,      "template": {}
    }
    ],    "generalLedger": {      "generalLedgerCode": "string",      "generalLedgerId": 1,      "generalLedgerInfo": "string"
    },    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "rates": [
      {      "endDate": "2026-03-30",      "rate": {},      "startDate": "2026-03-30"
    }
    ],    "vendorType": {      "vendorTypeCode": "string",      "vendorTypeId": 1
    }
  }
]